
Atlas = Core.class(Texture)

function Atlas:init(filename, filter)

  local regions = {} -- generate regions for drawing tiles, etc
  for r = 0, self:getHeight() / TILESIZE - 1 do
    for c = 0, self:getWidth() / TILESIZE - 1 do
      regions[#regions + 1] = {c * TILESIZE, r * TILESIZE, TILESIZE, TILESIZE}
    end
  end
  self.regions = regions
end

function Atlas:newRegion(region) -- creates new region
	local r = self.regions[region]
	return TextureRegion.new(self, r[1], r[2], r[3], r[4])
end

function Atlas:getRegion(region) -- fetches region coordinates
	return self.regions[region]
end
